Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.whowas
Interface EPPWhoWasConstants

    public interface EPPWhoWasConstants

All WhoWas constants.

Version:
  1.0
Author:
  Deepak Deshpande

Field Summary
`static java.lang.String` | `ELM_HISTORY` XML Element Name of `EPPWhoWasHistory` root element.
`static java.lang.String` | `ELM_NAME` XML Element Name for the `name`.
`static java.lang.String` | `ELM_REC` XML Element Name of `EPPWhoWasRecord` root element.
`static java.lang.String` | `ELM_REC_CLID` XML Element Name of `EPPWhoWasRecord` root element.
`static java.lang.String` | `ELM_REC_CLNAME` XML Element Name of `EPPWhoWasRecord` root element.
`static java.lang.String` | `ELM_REC_DATE` XML Element Name of `EPPWhoWasRecord` root element.
`static java.lang.String` | `ELM_REC_NEW_NAME` XML Element Name of `EPPWhoWasRecord` root element.
`static java.lang.String` | `ELM_REC_OP` XML Element Name of `EPPWhoWasRecord` root element.
`static java.lang.String` | `ELM_ROID` XML Element Name for the `roid`.
`static java.lang.String` | `ELM_TYPE` XML Element Name for the `type`.
`static java.lang.String` | `OP_CREATE` `EPPWhoWasRecord` Create operation name.
`static java.lang.String` | `OP_DELETE` `EPPWhoWasRecord` Delete operation name.
`static java.lang.String` | `OP_SERVER_TRANSFER` `EPPWhoWasRecord` Server Transfer operation name.
`static java.lang.String` | `OP_TRANSFER` `EPPWhoWasRecord` Transfer operation name.
`static java.lang.String` | `TYPE_DOMAIN` Default type for `EPPWhoWasInfoCmd` and `EPPWhoWasInfoResp`.

Field Detail

### ELM_TYPE

    static final java.lang.String ELM_TYPE

  XML Element Name for the `type`.

  See Also:
    Constant Field Values

### ELM_NAME

    static final java.lang.String ELM_NAME

  XML Element Name for the `name`.

  See Also:
    Constant Field Values

### ELM_ROID

    static final java.lang.String ELM_ROID

  XML Element Name for the `roid`.

  See Also:
    Constant Field Values

### ELM_HISTORY

    static final java.lang.String ELM_HISTORY

  XML Element Name of `EPPWhoWasHistory` root element.

  See Also:
    Constant Field Values

### ELM_REC

    static final java.lang.String ELM_REC

  XML Element Name of `EPPWhoWasRecord` root element.

  See Also:
    Constant Field Values

### ELM_REC_DATE

    static final java.lang.String ELM_REC_DATE

  XML Element Name of `EPPWhoWasRecord` root element.

  See Also:
    Constant Field Values

### ELM_REC_NEW_NAME

    static final java.lang.String ELM_REC_NEW_NAME

  XML Element Name of `EPPWhoWasRecord` root element.

  See Also:
    Constant Field Values

### ELM_REC_OP

    static final java.lang.String ELM_REC_OP

  XML Element Name of `EPPWhoWasRecord` root element.

  See Also:
    Constant Field Values

### ELM_REC_CLID

    static final java.lang.String ELM_REC_CLID

  XML Element Name of `EPPWhoWasRecord` root element.

  See Also:
    Constant Field Values

### ELM_REC_CLNAME

    static final java.lang.String ELM_REC_CLNAME

  XML Element Name of `EPPWhoWasRecord` root element.

  See Also:
    Constant Field Values

### TYPE_DOMAIN

    static final java.lang.String TYPE_DOMAIN

  Default type for `EPPWhoWasInfoCmd` and `EPPWhoWasInfoResp`.

  See Also:
    Constant Field Values

### OP_CREATE

    static final java.lang.String OP_CREATE

  `EPPWhoWasRecord` Create operation name.

  See Also:
    Constant Field Values

### OP_DELETE

    static final java.lang.String OP_DELETE

  `EPPWhoWasRecord` Delete operation name.

  See Also:
    Constant Field Values

### OP_TRANSFER

    static final java.lang.String OP_TRANSFER

  `EPPWhoWasRecord` Transfer operation name.

  See Also:
    Constant Field Values

### OP_SERVER_TRANSFER

    static final java.lang.String OP_SERVER_TRANSFER

  `EPPWhoWasRecord` Server Transfer operation name.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.